apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app: taskmanager-config
  name: {{.Values.deployment.name}}-taskmanager-config
data:
  DB_SCHEMA: "mysql+pymysql"
  DB_NAME:  {{.Values.config.global.db_name}}
  DB_USER: {{.Values.config.global.db_user}}
  DB_PASS: {{.Values.secrets.global.db_password}}
  MYSQL_ROOT_PASSWORD: {{.Values.secrets.mysql.root_password}}
  PROJECT_REPO: {{.Values.config.taskmanager.project_repository}}
  DB_HOST: "taskmanager-mysql-service"
  DB_PORT: "3306"
  SECRET_KEY:  {{.Values.secrets.taskmanager.secret_key}}
  SECURITY_PASSWORD_SALT: {{.Values.secrets.taskmanager.security_password_salt}}
    